> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Review summaries.

- Product: Reviews
- Section: Review
- Snapshot: Current
- Method: `GET`
- Path: `/api/reviews/summary`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

Organization ID

### `accommodation`

Type: `number`  
Required: no  

### `accommodationCategory`

Type: `number`  
Required: no  

### `localityCategory`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reviews.summary({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/reviews/summary" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "averageScore": "4.5",
  "numOfReviews": 100,
  "aspectScores": [
    {
      "type": "accommodation",
      "averageScore": "4.5",
      "name": "Accommodation"
    }
  ]
}
```

##### Schema

###### object

Type: `object`  

###### `averageScore`

Type: `number`  
Required: no  

###### `numOfReviews`

Type: `number`  
Required: no  

###### `aspectScores`

Type: `object[]`  
Required: no  

###### object

Type: `object`  

###### `type`

Type: `string`  
Required: no  

###### `averageScore`

Type: `number`  
Required: no  

###### `name`

Type: `string`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reviews/methods/summary/)
- [TypeScript Markdown](/reviews/methods/summary.md?lang=typescript)
- [curl Markdown](/reviews/methods/summary.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reviews/llms.txt)
- [snapshot llms.txt](/reviews/llms.txt)
